Subject: Proposal
From: Tom Mbenga <[email-masked]>
To: [email-masked]
Date: 18 Mar 2025 18:03:30 +0000

Good day. I am Thomas Mbenga. I represent the interests of a 
high-net-worth individual. We are currently seeking reputable 
partners overseas to manage substantial funds on a confidential 
basis for a period of 5 to 10 years. This collaboration will be 
executed legally and BE beneficial to all parties involved. I 
will
keep this brief for now but if you you are interested, please 
contact me for details via email or provide WhatsApp/mobile 
number for easier communication.

Regards,

Tom.